| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__ModifyLocationServiceRequest Struct Reference
Location Services supporting in ESRP mode

Modify LocationService request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | URI
| The incoming request URI. More...
xsd__string | PrimaryHeldName
| Primary Held server name (PrimaryHeldName or PrimaryECRFName or Next-Hop Destination field should be set). More...
xsd__string | SecondaryHeldName
| Secondary Held server name. More...
xsd__string | PrimaryECRFName
| Primary ECRF name (PrimaryHeldName or PrimaryECRFName or Destination field should be set). More...
xsd__string | SecondaryECRFName
| Secondary ECRF name. More...
xsd__string | Destination
| Next-Hop Destination (PrimaryHeldName or PrimaryECRFName or Destination field should be set). More...

## Detailed Description

Modify LocationService request.

Used by unsp__ModifyLocationService()

## Member Data Documentation

## ◆ Destination

xsd__string unsp__ModifyLocationServiceRequest::Destination

Next-Hop Destination (PrimaryHeldName or PrimaryECRFName or Destination field should be set).

required: false
default value[range]: NA [1..255]

## ◆ OperatorId

xsd__string unsp__ModifyLocationServiceRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ PrimaryECRFName

xsd__string unsp__ModifyLocationServiceRequest::PrimaryECRFName

Primary ECRF name (PrimaryHeldName or PrimaryECRFName or Destination field should be set).

required: false
default value[range]: NA [1..15]

## ◆ PrimaryHeldName

xsd__string unsp__ModifyLocationServiceRequest::PrimaryHeldName

Primary Held server name (PrimaryHeldName or PrimaryECRFName or Next-Hop Destination field should be set).

required: false
default value[range]: NA [1..15]

## ◆ SecondaryECRFName

xsd__string unsp__ModifyLocationServiceRequest::SecondaryECRFName

Secondary ECRF name.

required: false
default value[range]: NA [1..15]

## ◆ SecondaryHeldName

xsd__string unsp__ModifyLocationServiceRequest::SecondaryHeldName

Secondary Held server name.

required: false
default value[range]: NA [1..15]

## ◆ URI

xsd__string unsp__ModifyLocationServiceRequest::URI

The incoming request URI.

required: true
default value[range]: NA [1..255]

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h